wibble::MorphInterface< Interface > Struct Template Referenceabstract

An interface implemented by all morph classes. More...

`#include <amorph.h>`

Inheritance diagram for wibble::MorphInterface< Interface >:
[legend]
Collaboration diagram for wibble::MorphInterface< Interface >:
[legend]

## Public Member Functions

virtual VirtualBase * | virtualBase ()
virtual MorphInterface * | constructCopy (void *where=0, unsigned int available=0) const =0
virtual void | destroy (unsigned int available=0)=0
virtual | ~MorphInterface ()
virtual bool | leq (const MorphInterface *) const =0

## Detailed Description

### template<typename Interface>
struct wibble::MorphInterface< Interface >

An interface implemented by all morph classes.

## Constructor & Destructor Documentation

template<typename Interface>

virtual wibble::MorphInterface< Interface >::~MorphInterface | ( |  | ) |

inline virtual

## Member Function Documentation

template<typename Interface>

virtual MorphInterface* wibble::MorphInterface< Interface >::constructCopy | ( | void * | where = `0`,
|  | unsigned int | available = `0`
| ) |  | const

pure virtual

Implemented in wibble::Morph< Self, W, Interface >, wibble::Morph< ConsumerMorph< T, W >, W, ConsumerInterface< T > >, wibble::Morph< RangeMorph< T, W >, W, RangeInterface< T > >, and wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >.

Referenced by wibble::Amorph< Range< T >, RangeInterface< T > >::setMorphInterfacePointer().

template<typename Interface>

virtual void wibble::MorphInterface< Interface >::destroy | ( | unsigned int | available = `0` | ) |

pure virtual

Implemented in wibble::Morph< Self, W, Interface >, wibble::Morph< ConsumerMorph< T, W >, W, ConsumerInterface< T > >, wibble::Morph< RangeMorph< T, W >, W, RangeInterface< T > >, and wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >.

template<typename Interface>

virtual bool wibble::MorphInterface< Interface >::leq | ( | const MorphInterface< Interface > * |  | ) | const

pure virtual

Implemented in wibble::Morph< Self, W, Interface >.

template<typename Interface>

virtual VirtualBase* wibble::MorphInterface< Interface >::virtualBase | ( |  | ) |

inline virtual

Reimplemented in wibble::MorphBase< W, Interface >, wibble::MorphBase< W, RangeInterface< T > >, wibble::MorphBase< W, IteratorInterface< T > >, wibble::MorphBase< W, ConsumerInterface< T > >, wibble::MorphBase< W, Interface >, wibble::MorphBase< W, RangeInterface< T > >, wibble::MorphBase< W, IteratorInterface< T > >, wibble::MorphBase< W, ConsumerInterface< T > >, wibble::MorphBase< W, Interface >, wibble::MorphBase< W, RangeInterface< T > >, wibble::MorphBase< W, IteratorInterface< T > >, and wibble::MorphBase< W, ConsumerInterface< T > >.

The documentation for this struct was generated from the following file:

- amorph.h